Bug 1003601 - System "never finishes booting" though it boots fine
System "never finishes booting" though it boots fine
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-02 09:17 EDT by Rudd-O DragonFear
Modified: 2015-02-17 12:01 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:01:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rudd-O DragonFear 2013-09-02 09:17:33 EDT
Since updating to Fedora 19, the first DM-LUKS device never finishes initializing:
dev-mapper-luks\x2d31c9180e\x2d9d5e\x2d429a\x2da146\x2d19e7568d796f.device     loaded inactive dead      start dev-mapper-luks\x2d31c9180e\x2d9d5e\x2d429a\x2da146\x2d19e7568d796f.device

resulting in this error message:
systemd-analyze plot > /home/rudd-o/plot.svg
Bootup is not yet finished. Please try again later.

Note how the device is attempted to initialize twice, and the second time it says "it's already initialized".

See the journalctl log:

...9.x86_64 root=ZFS=paola/ROOT/os ro rd.luks.allow-discards rd.luks.uuid=luks-f480654a-f797-4cb4-8842-dd3d515805df rd.luks.uuid=luks-31c9180e-9d5e-429a-a146-19e7568d796f r...
...
Sep 02 05:49:33 paola.dragonfear systemd[1]: Starting Cryptography Setup for luks-31c9180e-9d5e-429a-a146-19e7568d796f...
Sep 02 05:49:33 paola.dragonfear systemd[1]: Started Forward Password Requests to Plymouth.
Sep 02 05:49:33 paola.dragonfear systemd[1]: Started Forward Password Requests to Plymouth.
Sep 02 05:49:33 paola.dragonfear systemd[1]: Started Forward Password Requests to Plymouth.
Sep 02 05:49:33 paola.dragonfear systemd[1]: Started Forward Password Requests to Plymouth.
Sep 02 05:49:33 paola.dragonfear systemd[1]: Found device ADATA_SP600.
Sep 02 05:49:33 paola.dragonfear systemd[1]: Starting Cryptography Setup for luks-f480654a-f797-4cb4-8842-dd3d515805df...
Sep 02 05:49:33 paola.dragonfear systemd[1]: Started Forward Password Requests to Plymouth.
Sep 02 05:49:33 paola.dragonfear systemd[1]: Started Forward Password Requests to Plymouth.
Sep 02 05:49:33 paola.dragonfear systemd[1]: Started Forward Password Requests to Plymouth.
Sep 02 05:49:33 paola.dragonfear systemd[1]: Started Forward Password Requests to Plymouth.
Sep 02 05:49:34 paola.dragonfear kernel: scsi 4:0:0:0: Direct-Access     SanDisk  Cruzer Fit       1.26 PQ: 0 ANSI: 5
Sep 02 05:49:34 paola.dragonfear kernel: sd 4:0:0:0: Attached scsi generic sg3 type 0
Sep 02 05:49:34 paola.dragonfear kernel: sd 4:0:0:0: [sdd] 7821312 512-byte logical blocks: (4.00 GB/3.72 GiB)
Sep 02 05:49:34 paola.dragonfear kernel: sd 4:0:0:0: [sdd] Write Protect is off
Sep 02 05:49:34 paola.dragonfear kernel: sd 4:0:0:0: [sdd] Mode Sense: 43 00 00 00
Sep 02 05:49:34 paola.dragonfear kernel: sd 4:0:0:0: [sdd] Write cache: disabled, read cache: enabled, doesn't support DPO or FUA
Sep 02 05:49:34 paola.dragonfear kernel:  sdd: sdd1
Sep 02 05:49:34 paola.dragonfear kernel: sd 4:0:0:0: [sdd] Attached SCSI removable disk
Sep 02 05:49:34 paola.dragonfear systemd[1]: Found device Cruzer_Fit.
Sep 02 05:49:46 paola.dragonfear systemd-cryptsetup[216]: Set cipher aes, mode cbc-essiv:sha256, key size 256 bits for device /dev/disk/by-uuid/f480654a-f797-4cb4-8842-dd3d515805df.
Sep 02 05:49:46 paola.dragonfear systemd-cryptsetup[211]: Set cipher aes, mode cbc-essiv:sha256, key size 256 bits for device /dev/disk/by-uuid/31c9180e-9d5e-429a-a146-19e7568d796f.
Sep 02 05:49:46 paola.dragonfear systemd-cryptsetup[208]: Set cipher aes, mode cbc-essiv:sha256, key size 256 bits for device /dev/disk/by-uuid/29d76157-164e-4f5e-ba78-fa88611f0d17.
Sep 02 05:49:49 paola.dragonfear kernel: bio: create slab <bio-1> at 1
Sep 02 05:49:50 paola.dragonfear kernel: bio: create slab <bio-1> at 1
Sep 02 05:49:50 paola.dragonfear systemd[1]: Started Cryptography Setup for luks-31c9180e-9d5e-429a-a146-19e7568d796f.
Sep 02 05:49:50 paola.dragonfear systemd[1]: Started Cryptography Setup for luks-f480654a-f797-4cb4-8842-dd3d515805df.
Sep 02 05:49:50 paola.dragonfear systemd[1]: Found device /dev/mapper/luks-f480654a-f797-4cb4-8842-dd3d515805df.
Sep 02 05:49:50 paola.dragonfear systemd[1]: Started Cryptography Setup for luks-31c9180e-9d5e-429a-a146-19e7568d796f.
Sep 02 05:49:50 paola.dragonfear systemd[1]: Started Cryptography Setup for luks-29d76157-164e-4f5e-ba78-fa88611f0d17.
..............
Sep 02 05:50:06 paola.dragonfear systemd[1]: Starting Cryptography Setup for luks-31c9180e-9d5e-429a-a146-19e7568d796f...
Sep 02 05:50:06 paola.dragonfear kernel: input: HDA Intel Front Headphone as /devices/pci0000:00/0000:00:1b.0/sound/card0/input4
Sep 02 05:50:06 paola.dragonfear kernel: input: HDA Intel Line Out as /devices/pci0000:00/0000:00:1b.0/sound/card0/input5
Sep 02 05:50:06 paola.dragonfear kernel: input: HDA Intel Line as /devices/pci0000:00/0000:00:1b.0/sound/card0/input6
Sep 02 05:50:06 paola.dragonfear kernel: input: HDA Intel Rear Mic as /devices/pci0000:00/0000:00:1b.0/sound/card0/input7
Sep 02 05:50:06 paola.dragonfear kernel: input: HDA Intel Front Mic as /devices/pci0000:00/0000:00:1b.0/sound/card0/input8
Sep 02 05:50:06 paola.dragonfear kernel: ppdev: user-space parallel port driver
Sep 02 05:50:06 paola.dragonfear systemd[1]: Starting Sound Card.
Sep 02 05:50:06 paola.dragonfear systemd[1]: Reached target Sound Card.
Sep 02 05:50:06 paola.dragonfear kernel: iTCO_vendor_support: vendor-support=0
Sep 02 05:50:06 paola.dragonfear kernel: iTCO_wdt: Intel TCO WatchDog Timer Driver v1.10
Sep 02 05:50:06 paola.dragonfear kernel: iTCO_wdt: Found a ICH7 or ICH7R TCO device (Version=2, TCOBASE=0x0860)
Sep 02 05:50:06 paola.dragonfear systemd-cryptsetup[1239]: Volume luks-31c9180e-9d5e-429a-a146-19e7568d796f already active.

I cannot explain whta is going on.  All other two LUKS devices initialize just fine.
Comment 1 Rudd-O DragonFear 2013-09-02 10:05:04 EDT
dev-mapper-luks\x2d31c9180e\x2d9d5e\x2d429a\x2da146\x2d19e7568d796f.device -> '/org/freedesktop/systemd1/unit/dev_2dmapper_2dluks_5cx2d31c9180e_5cx2d9d5e_5cx2d429a_5cx2da146_5cx2d19e7568d796f_2edevice'

dev-mapper-luks\x2d31c9180e\x2d9d5e\x2d429a\x2da146\x2d19e7568d796f.device
   Loaded: loaded
  Drop-In: /run/systemd/generator/dev-mapper-luks\x2d31c9180e\x2d9d5e\x2d429a\x2da146\x2d19e7568d796f.device.d
           └─50-job-timeout-sec-0.conf
   Active: inactive (dead)

this happens foreva.
Comment 2 Rudd-O DragonFear 2013-09-02 10:09:24 EDT
Relevant grepped lines:

Sep 02 06:53:29 paola.dragonfear kernel: Command line: BOOT_IMAGE=/vmlinuz-3.10.10-200.fc19.x86_64 root=ZFS=paola/ROOT/os ro rd.md=0 rd.lvm=0 rd.dm=0 rhgb quiet rd.luks.allow-discards rd.luks.uuid=luks-f480654a-f797-4cb4-8842-dd3d515805df rd.luks.uuid=luks-31c9180e-9d5e-429a-a146-19e7568d796f rd.luks.uuid=luks-29d76157-164e-4f5e-ba78-fa88611f0d17 vconsole.keymap=en-latin9 zfs_force
Sep 02 06:53:29 paola.dragonfear kernel: Kernel command line: BOOT_IMAGE=/vmlinuz-3.10.10-200.fc19.x86_64 root=ZFS=paola/ROOT/os ro rd.md=0 rd.lvm=0 rd.dm=0 rhgb quiet rd.luks.allow-discards rd.luks.uuid=luks-f480654a-f797-4cb4-8842-dd3d515805df rd.luks.uuid=luks-31c9180e-9d5e-429a-a146-19e7568d796f rd.luks.uuid=luks-29d76157-164e-4f5e-ba78-fa88611f0d17 vconsole.keymap=en-latin9 zfs_force
Sep 02 06:53:29 paola.dragonfear systemd[1]: Expecting device dev-disk-by\x2duuid-31c9180e\x2d9d5e\x2d429a\x2da146\x2d19e7568d796f.device...
Sep 02 06:53:29 paola.dragonfear systemd[1]: Expecting device dev-mapper-luks\x2d31c9180e\x2d9d5e\x2d429a\x2da146\x2d19e7568d796f.device...
Sep 02 06:53:30 paola.dragonfear systemd[1]: Starting Cryptography Setup for luks-31c9180e-9d5e-429a-a146-19e7568d796f...
Sep 02 06:53:34 paola.dragonfear systemd-cryptsetup[218]: Set cipher aes, mode cbc-essiv:sha256, key size 256 bits for device /dev/disk/by-uuid/31c9180e-9d5e-429a-a146-19e7568d796f.
Sep 02 06:53:38 paola.dragonfear systemd[1]: Started Cryptography Setup for luks-31c9180e-9d5e-429a-a146-19e7568d796f.
Sep 02 06:53:48 paola.dragonfear systemd[1]: Starting Cryptography Setup for luks-31c9180e-9d5e-429a-a146-19e7568d796f...
Sep 02 06:53:48 paola.dragonfear systemd-cryptsetup[1292]: Volume luks-31c9180e-9d5e-429a-a146-19e7568d796f already active.
Sep 02 06:53:48 paola.dragonfear systemd[1]: Started Cryptography Setup for luks-31c9180e-9d5e-429a-a146-19e7568d796f.
Comment 3 Rudd-O DragonFear 2013-09-02 10:10:35 EDT
Weirdly the system has reached its final target:

Sep 02 06:53:29 paola.dragonfear systemd[1]: Reached target Timers.
Sep 02 06:53:29 paola.dragonfear systemd[1]: Reached target Sockets.
Sep 02 06:53:29 paola.dragonfear systemd[1]: Reached target Swap.
Sep 02 06:53:29 paola.dragonfear systemd[1]: Reached target Local File Systems.
Sep 02 06:53:30 paola.dragonfear systemd[1]: Reached target Paths.
Sep 02 06:53:39 paola.dragonfear systemd[1]: Reached target Encrypted Volumes.
Sep 02 06:53:39 paola.dragonfear systemd[1]: Reached target System Initialization.
Sep 02 06:53:39 paola.dragonfear systemd[1]: Reached target Basic System.
Sep 02 06:53:39 paola.dragonfear systemd[1]: Reached target Initrd Root File System.
Sep 02 06:53:39 paola.dragonfear systemd[1]: Reached target Initrd File Systems.
Sep 02 06:53:41 paola.dragonfear systemd[1]: Reached target Initrd Default Target.
Sep 02 06:53:41 paola.dragonfear systemd[1]: Reached target Switch Root.
Sep 02 06:53:46 paola.dragonfear systemd[1]: Reached target Local File Systems (Pre).
Sep 02 06:53:48 paola.dragonfear systemd[1]: Reached target Sound Card.
Sep 02 06:53:48 paola.dragonfear systemd[1]: Reached target Encrypted Volumes.
Sep 02 06:53:49 paola.dragonfear systemd[1]: Reached target Local File Systems.
Sep 02 06:53:49 paola.dragonfear systemd[1]: Reached target Swap.
Sep 02 06:53:49 paola.dragonfear systemd[1]: Reached target System Initialization.
Sep 02 06:54:04 paola.dragonfear systemd[1]: Reached target Network.
Sep 02 06:54:05 paola.dragonfear systemd[1]: Reached target Network File System Server.
Sep 02 06:54:05 paola.dragonfear systemd[1]: Reached target Login Prompts.
Sep 02 06:54:05 paola.dragonfear systemd[1]: Reached target Multi-User System.
Comment 4 Fedora End Of Life 2015-01-09 14:41:18 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 12:01:27 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.